using System;

internal sealed class Delegate189 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate189 delegate189_1)
	{
		return delegate189_1(object_0);
	}

	public extern Delegate189(object object_0, IntPtr intptr_0);

	static Delegate189()
	{
		Class10.smethod_13(typeof(Delegate189).TypeHandle);
	}

	internal static Delegate189 delegate189_0;
}
